/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-23 17:18:24
 * @LastEditors: 无尘
 * @LastEditTime: 2020-07-31 17:32:48
 */
import 'babel-polyfill';
import 'amfe-flexible';
import Vue from 'vue';
import App from './App';
import store from './store/index'
import {  router } from './router';
import './assets/font/iconfont.css';
import './assets/css/common.css';
import filters from '@/filters/index.js';
import Es6Promise from 'es6-promise';


require('es6-promise').polyfill();
Es6Promise.polyfill();
/* eslint-disable */
/* import VConsole from 'vconsole';
let vConsole = new VConsole(); */

// 全局注册过滤器
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key]);
});

new Vue({
  router,
  store,
  el: '#app',
  render: h => h(App)
});
